Get EHR tags
Retrieves the list of ITEM_TAG resources associated with any target VERSIONED_OBJECT
within the EHR identified by ehr_id.
The list can be filtered by tag_key, tag_value, or tag_target_path query parameters.
When no filter is provided, all ITEM_TAG resources for the EHR are returned.
Returns an empty list when the EHR has no tags matching the filter.
More than one ITEM_TAG may be associated with a single target — they are uniquely identified
by their (key, target_path) pair.
- Type: stringrequired
EHR identifier taken from EHR.ehr_id.value.
- Type: string
Filter by ITEM_TAG
key(exact, case-insensitive match). - Type: string
Filter by ITEM_TAG
value. - Type: string
Filter by ITEM_TAG
target_path.
- application/json
- 400
400 Bad Requestis returned when the request URL or body (if provided) could not be parsed or has invalid content. - 404
404 Not Foundis returned when an EHR withehr_iddoes not exist.
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/tags
[
{
"key": "flag",
"value": "follow-up",
"target_path": "/composition/start_time/value",
"target": {
"id": {
"_type": "HIER_OBJECT_ID",
"value": "8849182c-82ad-4088-a07f-48ead4180515"
},
"namespace": "local",
"type": "COMPOSITION"
},
"owner_id": {
"id": {
"_type": "HIER_OBJECT_ID",
"value": "7d44b88c-4199-4bad-97dc-d78268e01398"
},
"namespace": "local",
"type": "EHR"
}
}
]